package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttPoldBase;
import com.goldenwater.slgc.mapper.AttPoldBaseMapper;
import com.goldenwater.slgc.service.PoldService;

/** 防洪闸信息 业务实现 */
@Service
public class PoldServiceImpl implements PoldService {
    @Autowired
    private AttPoldBaseMapper attPoldBaseMapper;

    @Override
    public List<AttPoldBase> selectAttPoldBaseList(AttPoldBase attPoldBase) {
        return attPoldBaseMapper.selectAttPoldBaseList(attPoldBase);
    }

    @Override
    public AttPoldBase selectAttPoldBaseById(String poldCode) {
        return attPoldBaseMapper.selectAttPoldBaseById(poldCode);
    }

    @Override
    public int deleteAttPoldBaseByIds(String[] poldCodes) {
        return attPoldBaseMapper.deleteAttPoldBaseByIds(poldCodes);
    }

    @Override
    public int insertAttPoldBase(AttPoldBase attPoldBase) {
        return attPoldBaseMapper.insertAttPoldBase(attPoldBase);
    }

    @Override
    public int updateAttPoldBase(AttPoldBase attPoldBase) {
        return attPoldBaseMapper.updateAttPoldBase(attPoldBase);
    }
}
